
Redmine - Defect #12663

Deleting an re-adding a repository duplicates all spent time from commit messages.

2012-12-21 12:25 - Ryan J

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.0.3

Description

I have a project where I deleted an re-added the Git repository (to move it on disk).  When I re-added the repository, the time spent

logged using (ex:) @1h30m tags in commit messages was duplicated.  I think this person may have been having a similar issue.

History

#1 - 2012-12-21 19:18 - Jean-Philippe Lang

Yes, commit message are parsed when re-adding the repository and new time entries are created.

As a workaround, you should be able to manually delete all these time entries with something like:

delete from time_entries where created_on > [a few minutes ago]

#2 - 2012-12-23 00:21 - Toshi MARUYAMA

- Subject changed from Deleting an re-adding a Git repository duplicates all spent time from commit messages. to Deleting an re-adding a repository

duplicates all spent time from commit messages.

#3 - 2013-01-25 15:48 - Daniel Dehennin

I think this issue could be linked with #1273 and maybe #11842.

Regards.
